QGIS Application - Bug report #10130
updating display when file based layer change (external to qgis).
2014-04-28 03:23 PM - John Floyd -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.2.0 Regression?: No
Operating System: linux (fedora) Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18589
Description

Not sure whether this should be viewed as a bug or a feature request.

I have a number of file based layers that are updated by external programs, whilst still running qgis. | have found that qgis does not
update the canvas when changes are made to the files (which | understand). | find that | either need to reload the project or remove that
layer and re-establish it - this is messy. | have experienced this for both shapefiles and raster files - | think that postgis layers do not have
this trouble.

Delimited text files have a watchfile option. This would also be useful for other layer types.

Or an option (possibly) in the layer properties menu to reread/refresh that layer. This keeps all the display attributes. This is similar to the
re-calc layer extents button in the properties - general tab.

If these already exist - great but where are they.

Cheers
Great Work.

History

#1 - 2014-06-28 07:36 AM - Jiirgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
